View Issue Details

IDProjectCategoryView StatusLast Update
0022771LazarusLCLpublic2020-03-21 13:45
ReporterEdson Lidorio Assigned ToJuha Manninen  
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version1.1 (SVN) 
Summary0022771: When FormStyle = wsMaximized, after restore Widht/Height have wrong values
DescriptionGood evening everyone,

My main application form, the frmmenu (Menu form):
This with the properties like this:
Windowsstate = wsMaximized
Position = poScreenCenter.

Compiling with Lazarus 09.30.4, to run the application the main form maximized and normal, he takes the normal resolution.
And when compiling with Lazarus Lazarus 1.0 and 1.1-38431-fpc-2.7.1, the main form is not fully maximized.

Has anyone had this problem?

I posted this problem on the forum, and realized that more people had the same problem, do not know if it really is a bug, please check ...
Lazarus forum address.

http://www.lazarus.freepascal.org/index.php?topic=18038.0
TagsNo tags attached.
Fixed in Revisionr61997, r62113
LazTarget-
WidgetsetWin32/Win64
Attached Files

Relationships

related to 0021119 resolvedZeljan Rikalo Lazarus When a form is started as wsMaximized height and width report design time values 
related to 0027375 resolvedJuha Manninen Lazarus If a Form is started with wsMaximized (set in OI), it does not restore to designed Size 
related to 0036127 assignedJuha Manninen Lazarus [Patch] TForm's bounds and restored bounds are inconsistent 
related to 0032631 resolvedJuha Manninen Packages "restoredLeft, restoredTop, restoredWidth, restoredHeight" of TForm returned wrong value 

Activities

Bart Broersma

2012-09-01 23:00

developer   ~0062029

Last edited: 2012-09-01 23:00

Confirmed with Lazarus 1.0 and Lazarus 1.1 r38343 FPC 2.6.0 i386-win32-win32/win64 on Win7.

Mainform:
Designtime values: H = 460, W = 325, L = 809, T = 156
WindowState = wsMaximized
Position = poDesigned

Screen resolution: 1366x768

After startup (= normal maximized window):
H = 746, W = 1366
L = -8, T = -8
After Restore (only Left and Top are restored)
H = 746, W = 1366
L = 809, T = 156


Same form, but now with:
Position = poScreenCenter

After startup (= normal maximized window):
H = 746, W = 1366
L = -8, T = -8
After Restore (no idea where these values come from):
H = 746, W = 1366
L = 0, T = 11

Edson Lidorio

2015-10-19 17:46

reporter   ~0086710

Good afternoon,
This bug still persists.

Bart Broersma

2017-08-02 23:09

developer   ~0102046

Problem persists: Lazarus 1.9.0 r55595 FPC 3.0.4RC1 x86_64-linux-gtk2

CudaText man

2017-08-03 15:23

reporter   ~0102050

LCL logic for initially Max form is weird. I tried to fix this. Lot of work.

Juha Manninen

2020-03-16 19:28

developer   ~0121627

Fixed together with related issue 0036127.

Issue History

Date Modified Username Field Change
2012-09-01 02:40 Edson Lidorio New Issue
2012-09-01 02:40 Edson Lidorio Widgetset => Win32/Win64
2012-09-01 23:00 Bart Broersma Note Added: 0062029
2012-09-01 23:00 Bart Broersma Note Edited: 0062029
2012-09-01 23:01 Bart Broersma LazTarget => -
2012-09-01 23:01 Bart Broersma Status new => confirmed
2012-09-01 23:02 Bart Broersma Category IDE => LCL
2012-09-01 23:02 Bart Broersma Summary Problem Lazarus 1.0 and 1.1 => When FormStyle = wsMaximized, after restore Widht/Height have wrong values
2012-09-01 23:07 Bart Broersma Relationship added related to 0021119
2015-02-06 15:59 Martin Friebe Relationship added related to 0027375
2015-10-19 17:46 Edson Lidorio Note Added: 0086710
2017-08-02 23:09 Bart Broersma Note Added: 0102046
2017-08-03 14:37 Ondrej Pokorny Assigned To => Ondrej Pokorny
2017-08-03 14:37 Ondrej Pokorny Status confirmed => assigned
2017-08-03 15:23 CudaText man Note Added: 0102050
2019-10-03 14:33 Juha Manninen Relationship added related to 0036127
2020-03-16 19:25 Juha Manninen Relationship added related to 0032631
2020-03-16 19:27 Juha Manninen Assigned To Ondrej Pokorny => Juha Manninen
2020-03-16 19:28 Juha Manninen Status assigned => resolved
2020-03-16 19:28 Juha Manninen Resolution open => fixed
2020-03-16 19:28 Juha Manninen Fixed in Revision => r61997, r62113
2020-03-16 19:28 Juha Manninen Widgetset Win32/Win64 => Win32/Win64
2020-03-16 19:28 Juha Manninen Note Added: 0121627